function Create(self)
   local thisID = ToActor(self).ID
   local MoObj = nil
   for i = 1, MovableMan:GetMOIDCount() do
      if (i ~= thisID) and (MovableMan:GetRootMOID(i) == thisID) then -- an obj without a parent has ID == RootID
         MoObj = MovableMan:GetMOFromID(i)
         if MoObj.PresetName == "Head" then
            self.Head = ToAttachable(MoObj)
            break
         end
      end
   end
end

function Update(self)
   if self:GetController():IsState(Controller.WEAPON_FIRE) and self.Head:IsAttached() then
      local Emitter = CreateAEmitter("Eyes", "Montgomery.rte")
      Emitter.Vel = self.Vel
      
      if self.HFlipped then
         Emitter.RotAngle = self.Head.RotAngle + 3.1415
      else
         Emitter.RotAngle = self.Head.RotAngle
      end
      
      Emitter.Pos = self.Head.Pos + self.Head:RotateOffset(Vector(12, -5))
      MovableMan:AddParticle(Emitter)
   end
end